petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscLogActions

Determines whether actions are logged for the graphical viewer.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogActions(PetscBool flag)

Not Collective

### Input Parameter

flag -PETSC_TRUE if actions are to be logged

Note: Logging of actions continues to consume more memory as the program runs. Long running programs should consider turning this feature off.

### Options Database Keys

-log_exclude_actions -Turns off actions logging

### Keywords

log, stage, register

### See Also

PetscLogStagePush(), PetscLogStagePop()

### Level

intermediate

### Location

src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages